@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Prata&display=swap');

/* 
//
// RESETS
//
*/
:root {
    --primaryColor: #2b2a27;
    --lightColor: #555555;
    --darkColor: #2b2a27;
    --iceColor: #f7f7f7;
    --grayColor: #555555;

    --prataFont: 'Prata', serif;
    --latoFont: 'Lato', sans-serif;

    --box-shadow: 2px 2px 7px 1px rgba(3, 3, 3, 0.16);

    --transition4ms: all .4s ease-in-out;
}


/* 
//
// RESETS
//
*/
* {
    list-style: none;
}

ul {
    margin-left: 0;
    padding-left: 0;
}

a:hover {
    text-decoration: none;
}

/*
//
// MODAL
//
*/
.container-semi-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    max-width: 1600px;
}


/* 
//
// HEADER
//
*/

/* ***************************** NAVBAR */
header.header .navbar {
    border-top: 5px dotted #7a643b23;
    margin-top: 22px;
}

header.header .navbar .navbar-brand {
    max-width: 60%;
    width: 23%;
}

header.header .navbar .navbar-brand img {
    width: 100%;
}

header.header .navbar-nav .nav-item:not(:last-child) {
    margin-right: 22px;
}

header.header .navbar-nav .active>.nav-link {
    color: var(--lightColor);
    border-bottom: 2px solid rgba(3, 3, 3, 0.15);
}

header.header .navbar-nav .nav-link {
    color: #3333334d;
    font-size: 16px;
    font-weight: 600;
}

@media(max-width: 767px) {
    header.header .navbar .navbar-brand {
        width: 50%;
    }
}

/* ***************************** BANNER */
header.header .banner {
    align-items: center;
    background-image: url(../img/background/background-main-teste.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    box-shadow: var(--box-shadow);
    display: flex;
    position: relative;
  }
  
  header.header .home {
    height: 66vh;
  }
  
  header.header .pages {
    height: 20vh;
  }
  
  header.header .banner .overflow {
    background-color: #ffffff38;
    display: inline-block;
    height: 100%;
    left: 0;
    position: absolute;
    width: 100%;
  }
  
  header.header .banner .banner__text {
    padding-top: 130px;
    z-index: 1;
  }
  
  header.header .banner .banner__text span {
    color: var(--white);
    font-size: 1.8rem;
    text-shadow: 1px 2px 3px #333333c2;
  }
  
  header.header .banner .banner__text h2 {
    color: var(--white);
    font-size: 3rem;
    font-weight: 600;
    text-shadow: 1px 2px 3px rgb(3 3 3 / 59%);
  }
  

/* 
//
// MAIN
//
*/

/* ***************************** PRINCIPLES */
.principles .principles__button {
    border-bottom: 2px solid var(--lightColor);
    color: var(--primaryColor);
    display: inline-block;
    font-weight: 700;
    padding: 0 8px 6px 2px;
    transition: var(--transition4ms);
}

/* PC - MEDIAQUERY */
@media(min-width: 769px) {
    .principles .principles__button:hover {
        color: var(--darkColor);
        transform: translateX(12px);
        transition: var(--transition4ms);
    }
}

.principles .principles__button i {
    font-size: 12px;
    margin-left: 8px;
}


/* ***************************** SIDEBAR */
.sidebar {
    background-color: #555555;
    box-shadow: var(--box-shadow);
}

.sidebar .sidebar__expertise header {
    background-color: var(--iceColor);
    color: var(--primaryColor);
    padding: 18px 4px 10px 15px;
}

.sidebar .sidebar__expertise .list li {
    padding: 8px 2px 8px 16px;
}

.sidebar .sidebar__expertise .list li:not(:last-child) {
    border-bottom: 1px solid #f7f7f740;
}


.sidebar .sidebar__expertise .list li a {
    color: var(--iceColor);
    display: inline-block;
    padding-left: 12px;
    position: relative;
}

.sidebar .sidebar__expertise .list li a::before {
    background-color: var(--white);
    content: '';
    display: inline-block;
    height: 4px;
    left: 0;
    position: absolute;
    top: 10px;
    width: 4px;
}

/* PC - MEDIAQUERY */
@media(min-width: 769px) {
    .sidebar .sidebar__expertise .list li a:hover::before {
        background-color: var(--lightColor);
    }

    .sidebar .sidebar__expertise .list li a:hover {
        font-weight: 600;
    }
}


/* ***************************** ABOUT 
.about .curriculum {
    display: flex;
    flex-direction: column;
    align-items: center;
}

PC - MEDIAQUERY
@media(min-width: 769px) {
    .about .curriculum {
        flex-direction: row;
    }
}

.about .curriculum img {
    max-width: 30%;
    box-shadow: var(--box-shadow);
}

.about .curriculum__body {
    flex: 1;
    padding-top: 14px;
}

 PC - MEDIAQUERY
@media(min-width: 769px) {
    .about .curriculum__body {
        margin-left: 20px;
    }
}

.about .curriculum .curriculum__body p {
    text-indent: 2em;
}

.about .curriculum .curriculum__body p span {
    font-family: var(--prataFont);
    font-size: 1.5rem;
    font-weight: 600;
}

.about .curriculum .curriculum__body ul li a {
    color: var(--primaryColor);
    font-weight: bold;
}

 PC - MEDIAQUERY 
@media(min-width: 769px) {
    .about .curriculum .curriculum__body ul li a:hover {
        color: var(--lightColor);
    }
}*/

/* ***************************** Titles Sections */

/* ***************************** About
.about {
    background-color: #2b2a27;
    color: white;
    padding: 40px 0;
}

.about .title-section h2 {
    border-bottom: 1px solid white;
    width: 30%;
}

.about .curriculum h3 {
    margin-top: 15px; 
}

.about a {
    margin-top: 10px;
    color: #c3c3c3;
    transition: .4s;
}

.about a:hover {
    border-bottom: 1px solid white;
    color: white;
    cursor: pointer;
    transition: .4s;
}

.about .curriculum__body {
    text-align: justify;
} */

/* ***************************** MEDIA QUERY 
@media(min-width: 768px) {
    .about .title-section h2 {
        width: 17%;
    }

    .about .curriculum h3 {
        margin-top: 0;
    }

    .about .curriculum {
        display: flex;
    }

    .about .curriculum__img {
        width: 100vw;
        margin-right: 15px;
    }

    .about .curriculum__body ul {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap-reverse;
        align-items: baseline;
    }
}

@media(min-width: 1024px) {
    .about .title-section h2 {
        width: 12%;
    }

    .about .curriculum__img {
        width: 70vw;
    }
}

@media(min-width: 1367px) {
    .about .curriculum__img {
        width: 35vw;
    }

    .about .curriculum__body {
        padding-top: 75px;
    }
}*/


/* ***************************** Services 
.services {
    width: auto;
    height: 200px;
    background-color: #555555;
    padding: 10px;
    margin-bottom: 10px;
    flex-direction: column;
    font-family: var(--prataFont);
    color: #f7f7f7;
    transition: .4s;
}

.services span {
    margin-bottom: 10px;
}

.services p {
    margin-top: 10px;
}

.icon svg {
    fill: black;
}

.icon svg:hover {
    fill: white;
}*/

/* PC - MEDIAQUERY */

/* 
//
// FOOTER
//
*/

/* ***************************** FOOTER */
footer.footer {
    padding-top: 22px;
    background: var(--iceColor);
    font-size: 15px;
}

footer.footer img {
    border-radius: 12px;
    padding: 8px;
    background: var(--iceColor);
    width: 100%;
}

footer.footer h5 {
    color: #2b2a27;
}

footer.footer .footer__menu li:not(:last-child) {
    margin-bottom: 4px;
}

footer.footer .footer__menu li a {
    border-bottom: 1px dotted #2b2a27;
    color: #2b2a27;
    transition: .4s;
    font-size: 14px;
}

/* PC - MEDIAQUERY */
@media(min-width: 769px) {
    footer.footer .footer__menu li a:hover {
        color: black;
        font-weight: 600;
        transition: .4s;
    }
}


/* ***************************** SOCIAL ICONS */
footer.footer .footer__social-icons {
    display: flex;
    justify-content: center;
}

/* PC - MEDIAQUERY */
@media(min-width: 769px) {
    footer.footer .footer__social-icons {
        display: flex;
        justify-content: flex-start;
    }
}

footer.footer .footer__social-icons li:not(:last-child) {
    margin-right: 12px;
}

footer.footer .footer__social-icons li a {
    background-color: #ccc;
    border-radius: 50%;
    color: #2b2a27;
    display: inline-block;
    height: 35px;
    line-height: 35px;
    text-align: center;
    width: 35px;
    transition: .4s;
}

/* PC - MEDIAQUERY */
@media(min-width: 769px) {
    footer.footer .footer__social-icons li a:hover {
        background-color: black;
        color: #ccc;
        box-shadow: var(--box-shadow);
        transition: .4s;
    }
}


/* 
//
// DEVELOP BY
//
*/
.develop {
    background-color: var(--primaryColor);
    color: white;
}

.develop a {
    color: #ccc;
    font-weight: 600;
}

.develop a:hover {
    color: white;
}